<ng-container *transloco="let t; prefix: 'rolesInfoPage'">
  <eui-page>
    <eui-page-header [label]="t('title')"></eui-page-header>
    <eui-page-content>
      <eui-page-columns>
        <eui-page-column euiResizable [isCollapsed]="true" [isCollapsible]="true" euiSizeVariant="xl" label="Filters">
          <eui-page-column-body>
            <form [formGroup]="filtersForm" class="d-flex flex-column gap-2" id="filtersForm" (ngSubmit)="getRoleList()">
              <div euiInputGroup>
                <label euiLabel for="name">{{ t('filters.name') }}</label>
                <input euiInputText id="name" formControlName="name"
                  placeholder="{{t('filters.placeholder.name')}}" />
              </div>
              <div euiInputGroup>
                <label euiLabel for="description">{{ t('filters.description') }}</label>
                <input euiInputText id="description" formControlName="description"
                  placeholder="{{t('filters.placeholder.description')}}" />
              </div>
              <eui-button-group class="eui-u-display-flex eui-u-inline-flex">
                <button euiButton id="resetButton" [disabled]="loading()" type="button" class="eui-u-width-50"
                  euiSecondary (click)="resetFilters()">
                  {{ t('filters.reset') }}
                </button>
                <button euiButton id="submitButton" [disabled]="loading()" type="submit" class="eui-u-width-50"
                  euiPrimary>
                  {{ t('filters.search') }}
                </button>
              </eui-button-group>
            </form>
          </eui-page-column-body>
        </eui-page-column>

        <eui-page-column>
          <eui-page-column-body>
            <div class="eui-u-display-flex eui-u-mb-m eui-u-flex-align-items-center">
              @if(chips.length){
                <div class="eui-u-mr-xs eui-u-p-2xs eui-u-flex-column eui-u-flex-gap-none">
                  <span>
                    Selected criteria
                  </span>
                  <span class="eui-u-text-link" (click)="resetFilters()" onKeyPress>
                    Clear All
                  </span>
                </div>
                <eui-chip-list (chipRemove)="removeChip($event)">
                  @for (chip of chips; track $index) {
                    <eui-chip [id]="chip.field" [data]="{id: chip.field}" isFilled isChipRemovable class="eui-u-mr-2xs eui-u-mb-2xs">
                      <span euiLabel>{{ t('filters.' + chip.field) }}: {{ chip.value }}</span>
                    </eui-chip>
                  }
                </eui-chip-list>
              }
            </div>
            <div class="eui-table-v2__scrollable-wrapper">
              <table euiTableV2 isTableResponsive [data]="data" (sortChange)="onSortChange($event)" [isLoading]="loading()">
                <ng-template euiTemplate="header">
                  <tr>
                    <th isSortable sortOn="name" isMultiSortable >{{ t('name') }}</th>
                    <th isSortable sortOn="description" isMultiSortable >{{ t('description') }}</th>
                  </tr>
                </ng-template>
                <ng-template let-row euiTemplate="body">
                  <tr (click)="getRoleDetailById(row)" onKeyPress="getRoleDetailById(row)">
                    <td>{{ row.name }}</td>
                    <td>{{ row.description }}</td>
                  </tr>
                </ng-template>
                <ng-template let-row euiTemplate="noData">
                  <tr>
                    <td class="eui-u-text-center" colspan="5">
                      {{ t('empty') }}
                    </td>
                  </tr>
                </ng-template>
                <ng-template euiTemplate="footer">
                  <tr>
                    <td class="eui-u-text-center" colspan="5">
                      <eui-paginator
                        #rolesPaginator
                        hasPageNumberNavigation
                        [length]="totalElements"
                        [pageSizeOptions]="[5, 10, 25, 100]"
                        [page]="pagination.page"
                        [pageSize]="pagination.pageSize"
                        (pageChange)="onPageChange($event)"
                        [hasPageNumberNavigation]="true"
                        >
                      </eui-paginator>
                    </td>
                  </tr>
                </ng-template>
              </table>
            </div>
          </eui-page-column-body>
        </eui-page-column>
      </eui-page-columns>
    </eui-page-content>
  </eui-page>
</ng-container>

